<!--
SPDX-FileCopyrightText: 2023 yuzu Emulator Project
SPDX-FileCopyrightText: 2024 suyu Emulator Project
SPDX-License-Identifier: GPL-3.0-or-later
-->

**Note**: We do not support or condone piracy in any form. In order to use suyu, you'll need keys from your real Switch system, and games which you have legally obtained and paid for. We do not intend to make money or profit from this project.

We're in need of developers. Please join our chat below or DM a dev if you want to contribute!
This repo is currently based on Yuzu EA 4176 but the code will be rewritten for legal and performance reasons.

Support the original suyu developer team [here](https://discord.gg/79B6wqFPnc).


<hr />

<h1 align="center">
  <br>
  <a href="https://suyu.dev"><img src="dist/readme/suyu__Logo-Pill.svg" alt="suyu" height="128"></a>
  <br>
  <b>suyu</b>
  <br>
</h1>

<h4 align="center"><b>suyu</b> was the continuation of the world's most popular, open-source Nintendo Switch emulator, yuzu, but is now something more.
<br>
It is written in C++ with portability in mind, and we actively provide builds for Windows, Linux and Android, iOS may come later.

</h4>

<p align="center">
  <a href="https://chat.suyu.dev">Chat</a> |
  <a href="https://www.reddit.com/r/suyu/">Reddit</a> |
  <a href="#status">Status</a> |
  <a href="#development">Development</a> |
  <a href="#downloads">Downloads</a> |
  <a href="#building">Building</a> |
  <a href="#support">Support</a> |
  <a href="#license">License</a> |
  <a href="https://git.suyu.dev/suyu/suyu/actions">Pipelines</a>
</p>

## Hardware Requirements
[Click here to see the Hardware Requirements](https://git.suyu.dev/suyu/suyu/wiki/Hardware-Requirements)

## Migrating from yuzu

See [MIGRATION.md](MIGRATION.md).

## Status

We currently have builds over at the [Releases](https://git.suyu.dev/suyu/suyu/releases) page.

**Note**: We try to update this README whenever we can, but some links might be broken, and some information may be outdated or irrelevant.

## Development

This project is completely free and open source, and anyone can contribute to help improve suyu.

Most of the development happens on Git. For development discussion, please join us in our [Chat](https://chat.suyu.dev) or [Subreddit](reddit.com/r/suyu/), you can also contact a developer.

If you want to contribute, please take a look at the [Contributor's Guide](https://git.suyu.dev/suyu/suyu/wiki/Contributing) and [Developer Information](https://git.suyu.dev/suyu/suyu/wiki/Developer-Information).
You can also contact any of the developers on the Chat to learn more about the current state of suyu.

## Downloads

* __Windows__: [Releases](https://git.suyu.dev/suyu/suyu/releases)
* __Linux__: [Releases](https://git.suyu.dev/suyu/suyu/releases)
* __macOS__: [Releases](https://git.suyu.dev/suyu/suyu/releases)
* __Android__: [Releases](https://git.suyu.dev/suyu/suyu/releases)
###### We currently do not provide builds for iOS, however if you would like, you could try the experimental Sudachi Emulator and it's bigger project: [Folium](https://apps.apple.com/us/app/folium/id6498623389).

If you want daily builds then [Click here](https://git.suyu.dev/suyu/suyu/actions).
If you don't know how to download the daily builds then [Click here](https://git.suyu.dev/suyu/suyu/raw/branch/dev/img/daily-builds.png)

We have official builds [here.](https://git.suyu.dev/suyu/suyu/releases)<br>If any website or person is claiming to have a build for suyu, take that with a grain of salt and let us know.

For Multiplayer, we recommend using the "Yuzu Online" patch, install instructions can be found on Reddit and their Discord.

## Building

* __Windows__: [Windows Build](https://git.suyu.dev/suyu/suyu/wiki/Building-For-Windows)
* __Linux__: [Linux Build](https://git.suyu.dev/suyu/suyu/wiki/Building-For-Linux)
* __Android__: [Android Build](https://git.suyu.dev/suyu/suyu/wiki/Building-For-Android)
* __MacOS__: [MacOS Build](https://git.suyu.dev/suyu/suyu/wiki/Building-for-macOS)



## Support

If you have any questions, don't hesitate to ask us in our [Chat](https://chat.suyu.dev) or Subreddit, make an issue or contact a developer. We don't bite!


## License

suyu is licensed under the free and open-source GPL-3.0-or-later license.
